BigIntegerStringConverter (JavaFX 19)
Description: declaration: module: javafx.base, package: javafx.util.converter, class: BigIntegerStringConverter

Module javafx.base
Package javafx.util.converter

# Class BigIntegerStringConverter

java.lang.Object
javafx.util.StringConverter<BigInteger>
javafx.util.converter.BigIntegerStringConverter

public class BigIntegerStringConverter extends StringConverter<BigInteger>

`StringConverter` implementation for `BigInteger` values.

Since:
  JavaFX 2.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BigIntegerStringConverter()`
  Creates a default `BigIntegerStringConverter`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigInteger`
  `fromString(String value)`
  Converts the string provided into an object defined by the specific converter.
  `String`
  `toString(BigInteger value)`
  Converts the object provided into its string form.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BigIntegerStringConverter

    public BigIntegerStringConverter()
    Creates a default `BigIntegerStringConverter`.

- ## Method Details

  - ### fromString

    public BigInteger fromString(String value)
    Converts the string provided into an object defined by the specific converter. Format of the string and type of the resulting object is defined by the specific converter.
    Specified by:
      `fromString` in class `StringConverter<BigInteger>`
    Parameters:
      `value` - the `String` to convert
    Returns:
      an object representation of the string passed in.

  - ### toString

    public String toString(BigInteger value)
    Converts the object provided into its string form. Format of the returned string is defined by the specific converter.
    Specified by:
      `toString` in class `StringConverter<BigInteger>`
    Parameters:
      `value` - the object of type `T` to convert
    Returns:
      a string representation of the object passed in